/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for VesselMeasurements
 */
	public enum EnumCV_VesselMeasurements {
	
	//TID 3907 Vessel Measurements
	LUMEN_DIAMETER_STENOSIS_R_101BB("R-101BB"),
	LUMEN_AREA_STENOSIS_R_101BA("R-101BA"),
	DISTANCE_121206("121206"),
	LATERALITY_G_C171("G-C171"),
	FIDUCIAL_FEATURE_122340("122340"),
	RELATIVE_POSITION_122337("122337"),
	DERIVATION_121401("121401"),
	VESSEL_LUMEN_DIAMETER_G_0364("G-0364");

	private String value;

	EnumCV_VesselMeasurements(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
